Bug 495147 - Enabling AutoLogin in GDM breaks multihead/xrandr setup [NEEDINFO]
Enabling AutoLogin in GDM breaks multihead/xrandr setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 18:14 EDT by Hezekiah M. Carty
Modified: 2010-06-28 07:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:46:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (hez)


Attachments (Terms of Use)
Xorg.0.org with blank external display (76.40 KB, text/plain)
2009-04-15 16:07 EDT, Hezekiah M. Carty
no flags Details

  None (edit)
Description Hezekiah M. Carty 2009-04-09 18:14:18 EDT
Description of problem:
After enabling autologin for GDM and rebooting, the external display connected to my laptop does not show anything.  The monitor is on (backlight is on, not in a standby state), but the display shows nothing but black.

From here, I am unable to enable the display using either xrandr from the command line or gnome-display-properties.  I can disable the external display, but enabling it again results in the same powered on but not displaying anything state as when Gnome first starts.  Gnome/X acts like the display is active (windows and the mouse can be moved on to it, the background image is stretched like it is when an external display is attached).

Version-Release number of selected component (if applicable):
gdm-2.26.0-7.fc11.x86_64
Using kernel-2.6.29.1-54.fc11.x86_64 with Intel video (GM965) and KMS enabled on a Thinkpad R61 laptop

How reproducible:
Every time

Steps to Reproduce:
1. Enable an external monitor using xrandr or g-d-p
2. Use the attached custom.conf as /etc/gdm/custom.conf with the "AutoLogin=user_to_log_in" line changed appropriately
2. Reboot/restart GDM with the external monitor still attached
3. See the above problem
  
Actual results:
External display is not usable

Expected results:
A usable external display

Additional info:
This works under "normal" circumstances, when auto login is disabled.  GDM does seem to try to clone the display before performing the automatic login.  Perhaps this is part of the problem?

I am not sure if this should be reported as a GDM bug or an Intel/KMS/Xorg bug.
Comment 1 Matthias Clasen 2009-04-09 21:53:52 EDT
Moving this to the X side for now.
Comment 2 Matěj Cepl 2009-04-10 13:03:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Hezekiah M. Carty 2009-04-12 13:08:45 EDT
After one of the recent rawhide updates, this problem seems to have cleared up.  I have tried this a few times now on a few different external monitors without trouble.  GDM still puts the monitors in to clone mode briefly, which seems useless in this case and breaks the "flicker-free" startup.  Neither monitor loses power though, so the original bug report seems to be fixed now.

If I see the problem again I will report back.
Comment 4 Hezekiah M. Carty 2009-04-15 16:07:16 EDT
Created attachment 339738 [details]
Xorg.0.org with blank external display

I was not seeing the problem for a while, but I did when starting my laptop just now.  The attachment is the /var/log/Xorg.0.log from this session.

The laptop was started with the extra display connected and powered on.  The laptop was running on battery power, for what that is worth.  I don't think there has been any correlation with power state and this problem occurring though.
Comment 5 Bug Zapper 2009-06-09 09:35:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matěj Cepl 2009-11-05 13:25:53 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Bug Zapper 2010-04-27 09:36:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 07:46:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.